.is-loading-ajax {
  .icon.chargement {
    opacity: 1 !important;
  }
}

main#diagnostic-body {
  nav#site-navigation {
    ul {
      list-style: none;
      padding: 0;
      margin: 0;

      li {
        font-size: 0.75rem;
        font-weight: bold;

        @include phone() {
          font-size: 1rem;
        }

        a {
          text-decoration: none;
          color: #111;
          display: block;
          padding: 0.8em 1em;
          position: relative;

          .icon {
            fill: var(--vert-1-dark);
            width: 1.4em;
            height: 1.4em;
            position: absolute;
            right: 1em;
            top: 0.75em;
            opacity: 0;
            transition: 0.225s all cubic-bezier(0.445, 0.05, 0.55, 0.95);
            animation: rotation 1s infinite linear;
          }
        }

        > a {
          border-left: 4px solid var(--gris);
        }

        ul.children {
          display: none;

          li {
            font-weight: normal;
            background: #fff;
            border-bottom: 1px solid var(--gris);

            &.done {
              background: $gris;
              border-bottom-color: #fff;

              a {
                border-left-color: $gris;

                &:before {
                  color: #111;
                }
              }
            }

            a {
              color: #111;
              // text-indent: 4px; // Counter-balance the absence of a border-left.

              &:before {
                content: "●";
                font-size: 0.6em;
                position: relative;
                top: -0.225em;
                margin-right: 1em;
                color: #d9d9d9;
                display: inline-block;
                transform: scale(1.6);
              }

              span {
                display: inline-block;

                &:before {
                  content: "·";
                  margin-right: 0.25em;
                  margin-left: 0.125em;
                }
              }
            }

            > a {
              // border-left: none;
              border-left-color: #fff;
            }

            &.active {
              font-weight: bold;

              > a {
                border-left-color: var(--vert-1);

                &:before {
                  color: var(--vert-1);
                }
              }
            }

            &:hover {
              font-weight: bold;

              > a {
                border-left-color: var(--vert-1);
              }
            }
          }
        }

        &.active {
          ul.children {
            display: block;
          }
        }

        &.slug-tools {
          > a {
            background: var(--bleu-1-dark);
            border-left-color: var(--bleu-1-dark);
            color: var(--bleu-1);

            &:hover {
              background: var(--bleu-1);
              border-left-color: var(--bleu-1);
              color: var(--bleu-1-dark);
            }
          }
          &.active {
            > a {
              background: var(--bleu-1);
              border-left-color: var(--bleu-1);
              color: var(--bleu-1-dark);
            }
          }
        }

        &.slug-resources {
          > a {
            background: var(--bleu-2-dark);
            border-left-color: var(--bleu-2-dark);
            color: var(--bleu-2);

            &:hover {
              background: var(--bleu-2);
              border-left-color: var(--bleu-2);
              color: var(--bleu-2-dark);
            }
          }
          &.active {
            > a {
              background: var(--bleu-2);
              border-left-color: var(--bleu-2);
              color: var(--bleu-2-dark);
            }
          }
        }

        &.slug-diagnostic {
          > a {
            background: var(--vert-1);
            border-left-color: var(--vert-1);
            color: var(--vert-1-dark);

            &:hover {
              background: var(--vert-1-hover);
              border-left-color: var(--vert-1-hover);
              color: var(--vert-1-dark-dark);
            }
          }
        }

        &.slug-results {
          border-bottom: 1px solid var(--gris);
          font-weight: normal;

          > a {
            border-left-color: #fff;

            &:hover {
              border-left-color: var(--vert-1);
              font-weight: bold;
            }
          }

          &.active {
            border-top: 1px solid var(--gris);
            font-weight: bold;

            > a {
              border-left-color: var(--vert-1);
              background-color: var(--vert-1);
            }
          }
        }
      }
    }

    div.permalink-widget {
      margin-top: auto;
      border-top: 1px solid var(--gris);
      padding: 1rem;

      > button.icon-only {
        svg.icon {
          &.info {
            display: block;
          }

          &.info-plein {
            display: none;
          }
        }

        &:hover {
          opacity: 1;

          svg {
            fill: #111;

            &.info {
              display: none;
            }

            &.info-plein {
              display: block;
            }
          }
        }
      }

      p {
        font-size: 0.6875rem;
        margin: 0.5em 0 0 0;
      }

      .button {
        margin-top: 0.5rem;
      }

      @include phone() {
        display: flex;
        flex-direction: row;
        align-items: center;
        padding: 0.75rem 1rem 1.25rem 1rem;

        .icon {
          margin-right: 0.5em;
        }

        .button {
          margin-left: auto;
        }
      }
    }
  }
}

.single-resource,
.post-type-archive-resource {
  main#diagnostic-body {
    nav#site-navigation {
      ul {
        li.slug-diagnostic {
          > a {
            background: var(--vert-1-dark);
            border-left-color: var(--vert-1-dark);
            color: var(--vert-1);
          }
        }
      } 
    }
  }
}